package simple;

import java.awt.Graphics;

import javax.swing.JPanel;

public class CustomPanel extends JPanel {

	/**
	 * 
	 */
	private static final long serialVersionUID = 2115135885324364067L;

	/**
	 * Create the panel.
	 */
	public CustomPanel() {

	}
	
	public void clear() {
		Graphics g = this.getGraphics();
		g.clearRect(0, 0, this.getWidth(), this.getHeight());
	}
	
	public void drawRect() {
		int x = (int)(getWidth()  * 0.1);
		int y = (int)(getHeight() * 0.1);
		Graphics g = this.getGraphics();
		g.drawRect(x, y, this.getWidth() - (2 * x), this.getHeight() - (2 * y));
	}
	
	public void drawCircle() {
		int x = (int)(getWidth()  * 0.1);
		int y = (int)(getHeight() * 0.1);
		Graphics g = this.getGraphics();
		g.drawOval(x, y, this.getWidth() - (2 * x), this.getHeight() - (2 * y));
	}
}
